%define date 20020225

Summary: Valgrind, an open-source memory debugger for x86-linux
Name: valgrind
Version: 0
Release: 0.%{date}.1mdk
Source0: %{name}-%{date}.tar.bz2
Source1: valgrind
License: GPL
Group: Development/Other
URL: http://devel-home.kde.org/~sewardj/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
ExclusiveArch: %ix86

%description
When a program is run under Valgrind's supervision, all reads and
writes of memory are checked, and calls to malloc/new/free/delete are
intercepted. As a result, Valgrind can detect problems such as:

    * Use of uninitialised memory
    * Reading/writing memory after it has been free'd
    * Reading/writing off the end of malloc'd blocks
    * Reading/writing inappropriate areas on the stack
    * Memory leaks -- where pointers to malloc'd blocks are lost forever
    * Passing of uninitialised and/or unaddressible memory to system calls
    * Mismatched use of malloc/new/new [] vs free/delete/delete []


%prep
%setup -n %name-%date

%build
%make

./valgrind ls

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_bindir
install %SOURCE1 $RPM_BUILD_ROOT%_bindir

mkdir -p $RPM_BUILD_ROOT%_libdir/%name
cp -p valgrind.so valgrinq.so valgrind VERSION linux24.supp $RPM_BUILD_ROOT%_libdir/%name

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs README* ACKNOWLEDGEMENTS LICENSE PATCHES_APPLIED TODO
%_bindir/*
%_libdir/%name

%changelog
* Tue Feb 26 2002 Frederic Lepied <flepied@mandrakesoft.com> 0-0.20020225.1mdk
- 20020225

# end of file
